
Redmine - Defect #33088

Should User.notify_about?(issue) consider the issue being wathced by the user?

2020-03-03 12:11 - Takeshi SUGIYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 4.1.0

Description

In app/models/user.rb line 790, notify_about?(object) is defined.

In app/models/issue.rb line 1037 notified_users method's comment explains

    # Author and assignee are always notified unless they have been

    # locked or don't want to be notified

 My question is, should User.notify_about?(issue) checke the passed issue being wathced by the user or not?

If it should, I would like to know whether notify_about?(object) can take into account the issue being watched or not according to the

user's notification prefernces?

Kind attention will be appreciated.

History

#1 - 2020-03-09 03:04 - Takeshi SUGIYAMA

- Status changed from New to Resolved

Close and re-submit a ticket with other information.

#2 - 2024-01-22 15:09 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Resolution set to Invalid
